Bug 783483 - Review Request: kdelibs-apidocs - KDELibs API documentation
Review Request: kdelibs-apidocs - KDELibs API documentation
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-01-20 10:32 EST by Rex Dieter
Modified: 2012-01-31 18:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-31 17:02:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2012-01-20 10:32:14 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdelibs-apidocs/kdelibs-apidocs.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdelibs-apidocs/kdelibs-apidocs-4.7-1.20120118.fc16.src.rpm
Description:
This package includes the KDELibs 4 API documentation in HTML
format for easy browsing.


This is currently (re)generated as part of every kdelibs build, wasting resources on builders, infrastructure, and mirrors.  We'll instead package this largish package separately, using upstream pregenerated documentation.
Comment 1 Kevin Kofler 2012-01-25 16:26:22 EST
That's not a blocker for 4.8.
Comment 2 Kevin Kofler 2012-01-31 17:02:11 EST
Unfortunately, I realized we are stepping on a licensing mine here, and spot confirmed it:
http://lists.fedoraproject.org/pipermail/legal/2012-January/001802.html
so this plan doesn't look viable.

The license that applies here is the GPL, not the FDL (because the apidocs are generated from GPLed and/or LGPLed code and there is no binding statement anywhere which would make another license apply), and the GPL requires that we ship the exact corresponding source code for the pregenerated documentation.
Comment 3 Christoph Wickert 2012-01-31 18:14:29 EST
Can somebody please open an upstream bug and add it as external reference?
Comment 4 Rex Dieter 2012-01-31 18:34:48 EST
In short, looks like there's not much that can be done.  As-is, the archives at api.kde.org are not redistributable and my irc chatting with upstream sounded like they didn't have much interest in efforts to address it (generally, by recording which scm source commits were used to generate the docs)

Note You need to log in before you can comment on or make changes to this bug.